Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyConstructorDoc

    org.codehaus.groovy.groovydoc.GroovyMemberDoc
      org.codehaus.groovy.groovydoc.GroovyExecutableMemberDoc
          org.codehaus.groovy.groovydoc.GroovyConstructorDoc
              org.codehaus.groovy.groovydoc.GroovyDoc
                  org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

All Superinterfaces:
  GroovyMemberDoc, GroovyExecutableMemberDoc, GroovyDoc, GroovyProgramElementDoc

    public interface GroovyConstructorDoc
    extends GroovyExecutableMemberDoc

Method Summary

Methods inherited from interface GroovyExecutableMemberDoc
flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptionTypes, thrownExceptions

Methods inherited from interface GroovyMemberDoc
isSynthetic

Methods inherited from interface GroovyProgramElementDoc
annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface java.lang.Comparable
java.lang.Comparable#compareTo(java.lang.Object)

Groovy Documentation